summaryrefslogtreecommitdiffstats
path: root/git-bisect.sh
diff options
context:
space:
mode:
authorÆvar Arnfjörð Bjarmason <avarab@gmail.com>2011-05-21 18:44:27 +0000
committerJunio C Hamano <gitster@pobox.com>2011-05-21 11:57:18 -0700
commit55a9fc80438744eb09d2146a1c85798fbdd27764 (patch)
tree35f795ef70e3bd3ad737326c43a55b2c107b0e2f /git-bisect.sh
parent7d0c2d6fbf3141cb4402987cbc2711c75490d217 (diff)
downloadgit-55a9fc80438744eb09d2146a1c85798fbdd27764.tar.gz
git-55a9fc80438744eb09d2146a1c85798fbdd27764.tar.xz
i18n: git-bisect bisect_replay + $1 messages
Gettextize bisect_replay messages that use the $1 variable. Since it's subroutine local we have to provide an alias for it for eval_gettext. Since I was doing that anyway I've changed all other uses of $1 variable to use the alias variable for clarity. Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-bisect.sh')
-rwxr-xr-xgit-bisect.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 4dc28ecdf..58b24e384 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -354,8 +354,9 @@ bisect_clean_state() {
}
bisect_replay () {
- test "$#" -eq 1 || die "No logfile given"
- test -r "$1" || die "cannot read $1 for replaying"
+ file="$1"
+ test "$#" -eq 1 || die "$(gettext "No logfile given")"
+ test -r "$file" || die "$(eval_gettext "cannot read \$file for replaying")"
bisect_reset
while read git bisect command rev
do
@@ -373,7 +374,7 @@ bisect_replay () {
*)
die "$(gettext "?? what are you talking about?")" ;;
esac
- done <"$1"
+ done <"$file"
bisect_auto_next
}